## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <tagDoc>

`<tagDoc>` | documents the structure, content, and purpose of a single element type.

Attributes

(In addition to global attributes)

`usage` | specifies the optionality of an attribute or element.
| Datatype: (req|mwa|rec|rwa|opt)

Legal values are:

req | required
mwa | mandatory when applicable
rec | recommended
rwa | recommended when applicable
opt | optional

| Default: opt

Example

Module Declared in file teitsd2; Auxiliary DTD for Tag Set documentation
May contain attList attlDecl children classes dataDesc desc elemDecl equiv exemplum files gi parents part ptr remarks rs
May occur within
Declaration

    <!ELEMENT tagDoc %om.RR; (gi, rs?, desc, attList?, exemplum*, remarks?,
       part?, classes?, files?, dataDesc?, parents?, children?,
       elemDecl, attlDecl?, ptr*, equiv*)>
    <!ATTLIST tagDoc
          %a.global;
          usage (req|mwa|rec|rwa|opt) "opt">

See further 27.1 The TagDoc Documentation Element; 27 Tag Set Documentation

Up: 35 Elements